1 Replies Last post: Mar 19, 2014 1:31 PM by Alexey Ushakov  
Anders  Carlsson Newbie 10 posts since
Apr 2, 2005
Currently Being Moderated

Mar 5, 2014 10:53 PM

Run AppCode with Java 7

Hi,

 

Is it possible to run AppCode with Java 7?

 

/Anders

Alexey Ushakov Newbie 30 posts since
Aug 5, 2013
Currently Being Moderated
Mar 19, 2014 1:31 PM in response to: Anders Carlsson
Re: Run AppCode with Java 7

Hi Anders,

 

Sorry for the late reply.

 

Technically it is possible to run AppCode with Java 7 (though it is not supported configuration for the IDE). You can manually edit plist file /Applications/AppCode.app/Contents/Info.plist  (saved original version). There is a parameter JVMVersion that can be set into higher version.

 

The plroblem is that JDK 7 has rather different implementation of UI stack and there are number of artifacts with such a rich UI client application as AppCode. Just released JDK 8 works better though it also has some minor visual issues. We're considering moving to the modern releases of JDK by the next major release of AppCode.

 

Best Regards,

Alexey

More Like This

  • Retrieving data ...